List documents
curl --request GET \
--url https://api.quiva.ai/file-generator/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/file-generator/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/file-generator/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/file-generator/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/file-generator/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/file-generator/documents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/file-generator/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"body": {
"results": [
{
"created_at": "2024-03-15T10:30:00Z",
"name": "acme-nda-2024.docx",
"output": {
"key": "obj://microstrate-documents/contracts.acme-nda-2024.pdf"
},
"template": {
"key": "nda-template"
},
"signatures": null,
"errors": null
}
],
"results_total": 1,
"next_sequence": 99,
"total_messages": 1
}
}{
"error": "\"key\" is required"
}{
"error": "Authorization header with a bearer token is required"
}{
"error": "server error"
}Documents
List documents
List documents matching a subject query.
Document subjects live under ms.document.document.> and mirror the sanitised output filepath, with folders as subject tokens (a document written to contracts/acme-nda-2024.pdf lives under contracts.acme-nda-2024.pdf within that namespace). The required query parameter is appended to the namespace and supports stream wildcard patterns:
contracts.*— direct children ofcontracts(single level)contracts.>— everything undercontractsat any depthinvoices.2026.*— documents in theinvoices/2026folder
Missing query returns 400 with `query` query param is required.
GET
/
file-generator
/
documents
List documents
curl --request GET \
--url https://api.quiva.ai/file-generator/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/file-generator/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/file-generator/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/file-generator/documents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/file-generator/documents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/file-generator/documents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/file-generator/documents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"body": {
"results": [
{
"created_at": "2024-03-15T10:30:00Z",
"name": "acme-nda-2024.docx",
"output": {
"key": "obj://microstrate-documents/contracts.acme-nda-2024.pdf"
},
"template": {
"key": "nda-template"
},
"signatures": null,
"errors": null
}
],
"results_total": 1,
"next_sequence": 99,
"total_messages": 1
}
}{
"error": "\"key\" is required"
}{
"error": "Authorization header with a bearer token is required"
}{
"error": "server error"
}Authorizations
bearerAuthapiKeyAuth